Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcts.operation
Class WCTSRequestBaseDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcwebservices.wcts.operation.WCTSRequestBaseDocument

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  GetTransformationDocument, IsTransformableDocument, TransformDocument

    public class WCTSRequestBaseDocument

extends XMLFragment

`WCTSRequestBaseDocument` supplies the pasreVersion and parseService methods which are mandatory for all WCTSRequests.

Version:
  $Revision:$, $Date:$
Author:
  Rutger Bezema, last edited by: $Author:$
See Also:
  Serialized Form

Field Summary
`protected static String` | `PRE` The default prefix of the wcts namespace.

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`WCTSRequestBaseDocument(Element rootElement)`

Method Summary
`String` | `parseService()`
`String` | `parseVersion()`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PRE

    protected static final String PRE

  The default prefix of the wcts namespace.

  See Also:
    Constant Field Values

Constructor Detail

### WCTSRequestBaseDocument

    public WCTSRequestBaseDocument(Element rootElement)
                            throws IllegalArgumentException

Parameters:
  `rootElement` - of this request.
Throws:
  `IllegalArgumentException` - if the rootElement is `null`

Method Detail

### parseService

    public String parseService()
                        throws OGCWebServiceException

  Returns:
    the mandatory service string.
  Throws:
    `OGCWebServiceException` - with code INVALIDPARAMETERVALUE, if the attribute was not given.

### parseVersion

    public String parseVersion()
                        throws OGCWebServiceException

  Returns:
    the mandatory version string.
  Throws:
    `OGCWebServiceException` - with code INVALIDPARAMETERVALUE, if the attribute was not given.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org